Package com.trilead.ssh2.packets

# Class PacketSessionSubsystemRequest

java.lang.Object
com.trilead.ssh2.packets.PacketSessionSubsystemRequest

public class PacketSessionSubsystemRequest extends Object
PacketSessionSubsystemRequest.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`recipientChannelID`
`String`
`subsystem`
`boolean`
`wantReply`

## Constructor Summary

Constructors
Constructor
Description
`PacketSessionSubsystemRequest(int recipientChannelID, boolean wantReply, String subsystem)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recipientChannelID

public int recipientChannelID

### wantReply

public boolean wantReply

### subsystem

public String subsystem

## Constructor Details

### PacketSessionSubsystemRequest

public PacketSessionSubsystemRequest(int recipientChannelID, boolean wantReply, String subsystem)

## Method Details

### getPayload

public byte[] getPayload()